package com.huimv.admin.service.primary.impl;

import com.huimv.admin.domain.primary.ProductionData;
import com.huimv.admin.repo.primary.ProductionDataEntityRepository;
import com.huimv.admin.service.primary.IProductionDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.admin.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/1/4 0004 14:54
 **/
@Service
public class ProductionDataServiceImpl implements IProductionDataService {

    @Autowired
    private ProductionDataEntityRepository productionDataEntityRepository;

    @Override
    public void save(ProductionData productionData) {
        productionDataEntityRepository.save(productionData);
    }

    @Override
    public void update(ProductionData productionData) {
        productionDataEntityRepository.save(productionData);
    }

    @Override
    public void delete(List<Integer> ids) {
        for (Integer id : ids) {
            productionDataEntityRepository.deleteById(id);
        }
    }

    @Override
    public List<ProductionData> findAll() {
        return productionDataEntityRepository.findAll();
    }
}
